# Class NewickExporter

java.lang.Object
jebl.evolution.io.NewickExporter

All Implemented Interfaces:
  `TreeExporter`

public class NewickExporter extends Object implements TreeExporter

Version:
  $Id: NewickExporter.java 429 2006-08-26 18:17:39Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Constructor Summary

Constructors
Constructor
Description
`NewickExporter(Writer writer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`exportTree(Tree tree)`
Export a single tree
`void`
`exportTrees(Collection<? extends Tree> trees)`
Export a collection of trees

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NewickExporter

public NewickExporter(Writer writer)

## Method Details

### exportTree

public void exportTree(Tree tree)
Export a single tree

Specified by:
  `exportTree` in interface `TreeExporter`
Parameters:
  `tree` -
Throws:
  `IOException`

### exportTrees

public void exportTrees(Collection<? extends Tree> trees)
Export a collection of trees

Specified by:
  `exportTrees` in interface `TreeExporter`
Parameters:
  `trees` -
Throws:
  `IOException`

### close

public void close()

Specified by:
  `close` in interface `TreeExporter`